* {
    margin: 0px;
    padding: 0px;
    border: none;
    outline: none;
}

*, ::after, ::before {
    box-sizing: border-box;
}

body {
    margin: 0;
    /*font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";*/
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    text-align: left;
    background-color: #fff;
}


html {
    font-family: sans-serif;
    line-height: 1.15;
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
    -ms-overflow-style: scrollbar;
    -webkit-tap-highlight-color: transparent;
}


[type=reset], [type=submit], button, html [type=button] {
    -webkit-appearance: button;
}
input, button, select, textarea {
    font-weight: 400;
    font-size: 15px;
}
button, select {
    text-transform: none;
}
button, input {
    overflow: visible;
}
button, input, optgroup, select, textarea {
    margin: 0;
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
}
button {
    border-radius: 0;
}



/*=========================*/


#chatbot-div {
    box-shadow: rgba(33, 33, 33, 0.12) 0px 16px 24px 2px, rgba(33, 33, 33, 0.08) 0px 6px 30px 5px, rgba(33, 33, 33, 0.04) 0px 6px 10px -5px;
    border-radius: 16px !important;
    overflow: hidden;
}

#cb-chatbot, #cb-chatbot-test {
    position: fixed;
    display: none;
    right: 40px;
    bottom: 120px;
    width: 400px;
    height: 80%;
    background: white;
    /*overflow: scroll;*/
    overflow: hidden;
    border-radius: 25px;
    box-shadow: 0px 0px 10px 3px rgba(0, 0, 0, 0.2);
    z-index: 99999;
}

#cb-chatbot.zoom-in {
    width: calc(100% - 24px);
    right: inherit;
    height: calc(100% - 24px);
    left: 50%;
    transform: translate(-50%, -50%);
    bottom: inherit;
    top: 50%;
}

#cb-container {
    font-size: 14px;
    width: 100%;
    height: 100%;
    overflow: hidden;
    line-height: 1.43;
}


#cb-chatbot-button {
    display: none;
    position: fixed;
    right: 66px;
    bottom: 240px;
    z-index: 9999;
    width: 57px;
    -webkit-animation: mahmud 2s infinite;
    animation: mahmud 2s infinite;
    transition: all linear .3s;
    -webkit-transition: all linear .3s;
    -moz-transition: all linear .3s;
    -ms-transition: all linear .3s;
    -o-transition: all linear .3s;
}

#cb-chatbot-button.active {display: none;}


#cb-chatbot-button.active .cb-sc-krNlru {
    background: url("./assets/Icon-Close.png") no-repeat center top 15px !important;
}


.cb-sc-krNlru{
    width: 57px !important;
}
.cb-sc-krNlru .icon {width: 57px; height: 57px; margin: 0 0 10px; background-image: url('./assets/Icon-Logo.png'); background-position: center; background-size: contain; background-repeat: no-repeat; border-radius: 50%; box-shadow: 3px 3px 10px rgba(23, 26, 50, 0.19);}
.cb-sc-krNlru .text {font-weight: 700; font-size: 17px; line-height: 18px; color: #444444;}
#cb-chatbot-button.on .cb-sc-krNlru .text {color: #ffffff;}
.cb-sc-krNlru .icon:after{content:'무엇을 도와드릴까요?';position: absolute;right: 43px;top: -23px;width: 165px;height:40px;border-radius: 20px;border-bottom-right-radius: 3px;border:1px solid #19856a;font-size: 16px;font-weight: 700;line-height: 38px;color: #14735b;background: #fff;transition: opacity .3s ease;}


@media only screen and (max-width: 1440px) {}
@media only screen and (max-width: 1024px) {
    #cb-chatbot.zoom-in {
        left: 50%;
        right: initial;
        width: calc(100% - 24px);
        height: 80%;
        transform: translateX(-50%);
    }
}

@media only screen and (max-width: 768px) {
    #cb-chatbot-button {right: 25px; width: 50px;}
    .cb-sc-krNlru .icon {width: 50px; height: 50px;}
    .cb-sc-krNlru .text {font-size: 15px; line-height: 16px;}
}

#cb-container ::-webkit-scrollbar {
    width: 5px;
    height: 3px;
    border-left: 0;
    background: rgba(0, 0, 0, 0.1)
}

#cb-container ::-webkit-scrollbar-track {
    background: none
}

#cb-container ::-webkit-scrollbar-thumb {
    background: #6C6C6C;
    border-radius: 0
}

#cb-container *:focus {
    outline: none;
    inline: none
}

#cb-container * {
    box-sizing: border-box
}

#cb-flow {
    width: 100% !important;
    height:  calc(100% - 200px)!important;/*563px; 100vh;*/
    overflow-y: auto !important;
    overflow-x: hidden !important;
    margin-top: 20px !important;
    margin-bottom: 20px !important;
}

#cb-flow > .cb-inner {
    padding-top: 100%;
    margin: 0 15px !important;
}

#cb-input {
    position: absolute;
    bottom: 0;
    width: 100%;
    text-align: center;
    height: 80px /*77px*/;
}

#cb-input #cb-input-container {
    display: block;
    margin: 10px; margin-top:20px;
}

#cb-input input {
    width: 100%;
    display: block;
    background: #f0f0f0;
    box-shadow: 0 0 0 rgba(58, 58, 58, 0);
    border-radius: 40px;
    font-size: 1em;
    padding: 8px 42px 8px 16px;
    height: 40px;
    color: rgba(34, 34, 34, 0.6);
    border-style: none;
    transition: box-shadow 0.75s cubic-bezier(0.215, 0.61, 0.355, 1), color 0.75s cubic-bezier(0.215, 0.61, 0.355, 1), transform 375ms cubic-bezier(0.175, 0.885, 0.32, 1.275) 0s, opacity 375ms cubic-bezier(0.215, 0.61, 0.355, 1) 0s
}

#cb-input input:focus {
    box-shadow: 0 0 30px rgba(0, 0, 0, 0.2);
    background: none;
}

#cb-input button {
    float: right;
    width: 30px;
    height: 30px;
    margin-top: -45px;
    margin-right: 15px;
    border-width: 2px;
    border-color: #D9D9D9;
    border-style: solid;
    border-image: none;
    background-color: #fff;
    color: #D9D9D9;
    border-radius: 100px;
    transition: background-color 0.75s cubic-bezier(0.215, 0.61, 0.355, 1);
    cursor: pointer
}

.cb-segment {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    padding:10px 0;
}

.cb-segment.cb-bot {
    justify-content: flex-start;
}

.cb-segment.cb-human {
    justify-content: flex-end;
}

.cb-segment .cb-icon {background-image: url('/images/common/ai_logo2.png') !important; background-position: center; background-size: 100% auto !important; background-repeat: no-repeat; border-radius: 50%;}

.cb-segment.cb-bot .cb-icon, .cb-segment.cb-bot .cb-bubble {
    /*float: left*/
}

.cb-segment.cb-human .cb-icon, .cb-segment.cb-human .cb-bubble-input, .cb-segment.cb-human .bubble-ctn-human {
    /*float: right*/
}

.cb-icon {
    display: block;
    width: 42px;
    height: 42px;
    border-radius: 100px
}

.cb-bubble.human {
    /*float: right;*/
    /*width:calc(100% - 46px);*/
}

.cb-bot .cb-icon, #cb-header .cb-icon {
    background: url("./assets/chat_01.png") no-repeat center;
    margin-right: 10px
}

#cb-header .cb-icon {
    margin-right: 0;
}

.cb-human .cb-icon {
    background: url("./assets/chat_02.png") no-repeat;
    background-position: center;
    background-color: #75FABF;
    margin-left: 10px
}
.cb-human .cb-icon {display: none !important;}
.cb-bubble {
    font-family: Helvetica, Arial, sans-serif !important;
    color: #3A3A3A !important;
    border-radius: 100px !important;
}

.cb-bubble.bot {
    max-width:calc(100% - 46px);
    border: 1px solid #dddddd;
    color: #333 !important;
    border-radius:20px !important;
}

.cb-bubble-type-select .cb-bubble.bot, .cb-bubble-type-select .cb-bubble.human {
    background-color: transparent
}

.cb-bubble > .cb-inner {
    margin: 0;
    /*padding: 10px 0;*/
}

.cb-inner {
    padding-top: 0 !important;
}

.cb-bubble p {
    margin: 0;
    opacity: 0;
    display: block;
    font-size: 14px;
    color: black !important;
}

.cb-segment hr {
    clear: both;
    display: blocK;
    visibility: hidden;
    width: 100%;
    margin-top: 10px
}

.cb-bot .cb-bubble {
}

.cb-bubble .bubble-ctn-human {
    background-color: #33a76a;
    border-bottom-right-radius: 0px;
    text-align: right;
    transform: translateX(0px);
    border-radius: 2em 2rem 0;
    padding: 11px 15px;
}

.cb-bubble .bubble-ctn-human p {
    color: #fff !important;
}

.cb-bubble .bubble-ctn-bot {
    padding: 11px 15px;
    max-width: 314px;
}

.cb-waiting {
    padding: 11px 15px;
}
.dim:before{content:'';position: fixed;top: 0;left: 0;width: 100%;height: 100%;z-index: 99999;background:rgba(0,0,0,.5)}
.chatbot #cb-chatbot-button{display: none;}
.chatbot #cb-chatbot, .chatbot #cb-chatbot-test{width: 640px;}
#chatbot-div.chatbot ,
.chatbot #cb-chatbot,
.chatbot #cb-container{overflow: initial;}
.chatbot #cb-header{padding: 32px 25px 20px;}
.chatbot #cb-header .cb-topicn{display: none;}
.chatbot #cb-chatbot{border-radius: 13px;box-shadow: none;}
.chatbot .cb-top{height: auto;padding: 0;background: none;}
.chatbot .cb-top #zoom-btn{display: none;}
.chatbot #close-btn{display: flex;align-items: center;justify-content: center;position: absolute;top: -16px;right: -12px;width: 47px;height: 47px;margin: 0;border-radius: 100%;background-color: #000000 !important;}
.chatbot #close-btn img{width: 19px;height: 19px;}
.chatbot #cb-flow{margin-top: 10px !important;}
.chatbot #cb-flow > .cb-inner{margin: 0 22px !important;}
.chatbot .cb-segment.cb-bot{display: flex;}
.chatbot .cb-segment.cb-bot .cb-icon{margin-right: 10px;}
.chatbot .cb-bubble{font-family: 'Pretendard', 'sans-serif' !important;}
.chatbot .cb-bubble.human{width: auto}
.chatbot .cb-bubble .bubble-ctn-bot{max-width: 100%;padding: 23px;}
.chatbot .cb-waiting {padding:23px; text-align: center;}
.chatbot .cb-bubble.bot{max-width: 100%;width: 100%;border-radius: 13px !important;border-top-left-radius: 0 !important;border: none;background: #efefef;}
.chatbot .cb-bubble p{font-size: 16px;font-weight: 600;color: #fff !important;}
.chatbot .cb-bubble.bot p{padding: 2px 0 2px 40px;background-image: url(/images/new_main/chat-ic.png);background-repeat: no-repeat;background-position: top 2px left;color: #444444 !important;}
.chatbot .cb-bubble .bubble-ctn-human{padding: 11px 20px;border-radius: 1em 1rem 0;}
.chatbot #cb-input{height: 85px /*77px*/;}
.chatbot #cb-input #cb-input-container{margin: 0;}
.chatbot #cb-input input{height: 85px;padding: 0 88px 0 30px;border-radius: 0; border-bottom-right-radius: 13px;border-bottom-left-radius: 13px;box-shadow: 0 8px 24px rgba(0, 0, 0, 0.08), 0 2px 6px rgba(0, 0, 0, 0.04);font-size: 20px;font-weight: 600;color: #666666;background: #fff;}
.chatbot #cb-input button{box-shadow: 7px 0px 21px 0 rgba(0, 0, 0, 0.12);position: absolute;top: 50%;transform: translateY(-50%);right: 23px;width: 52px;height: 52px;margin: 0;border: none;border-radius: 100%;background: url(/images/new_main/chat-send-ic.png) no-repeat center, linear-gradient(to right, #338949, #3BAD62);background-size: 28px 28px, 100% 100%;}
@keyframes wave {
    0%, 60%, 100% {
        transform: initial
    }
    30% {
        transform: translateY(-5px);
        background: #98979C
    }
}

.cb-waiting .circle {
    display: inline-block;
    width: 11px;
    height: 11px;
    background-color: #AFAFB2;
    border-radius: 100px;
    padding: 5px;
    animation: wave 1.3s ease-in-out infinite
}

.cb-waiting .circle:nth-child(1) {
}

.cb-waiting .circle:nth-child(2) {
    animation-delay: -1.1s;
    margin-left: 5px
}

.cb-waiting .circle:nth-child(3) {
    animation-delay: -0.9s;
    margin-left: 5px
}

.cb-choice {
    flex: 1;
    display: inline-block;
    text-align: center;
    cursor: pointer;
    border: 2px solid #75FABF;
    border-radius: 2em;
    padding: 6px 12px;
    margin-left: 10px;
    font-family: Helvetica, Arial, sans-serif;
    transition: all 0.75s cubic-bezier(0.215, 0.61, 0.355, 1)
}

.cb-choice:hover, .cb-choice.cb-active {
    background-color: #75FABF;
    color: #000;
    transform: translateY(3px)
}

.cb-choice:before {
    content: '';
    display: inline-block;
    height: 0.75em;
    width: 0.7em;
    background-color: #75FABF;
    border-radius: 100px;
    margin-right: 7px;
    transition: all 0.75s cubic-bezier(0.215, 0.61, 0.355, 1)
}

.cb-choice:hover:before, .cb-choice.cb-active:before {
    background-color: #fff
}

.cb-bubble-input {
    width: 590px;
    background-color: #fbfbfb;
    padding: 20px;
    border-radius: 4px;
    margin-top: 20px
}

.cb-bubble-input input {
    cursor: pointer;
    font-family: Helvetica, Arial, sans-serif;
    padding: 10px 10px;
    color: #3A3A3A;
    margin: 3px 0;
    border-style: none;
    border-radius: 4px;
    transition: box-shadow 0.75s cubic-bezier(0.215, 0.61, 0.355, 1), color 0.75s cubic-bezier(0.215, 0.61, 0.355, 1), transform 375ms cubic-bezier(0.175, 0.885, 0.32, 1.275) 0s, opacity 375ms cubic-bezier(0.215, 0.61, 0.355, 1) 0s;
    background-color: #eee;
    width: 100%
}

.cb-bubble-input input:focus {
    box-shadow: 0 0 30px rgba(0, 0, 0, 0.2)
}

.cb-bubble-input input::placeholder {
    font-family: Helvetica, Arial, sans-serif;
    color: #9a9a9a
}

.disabled {
    background-color: #fff;
    color: #9a9a9a;
    border: 3px solid #D8D8D8
}

.disabled:before {
    background-color: #9a9a9a
}

.disabled:hover {
    transform: translateY(0);
    background-color: #fff;
    color: #9a9a9a
}

.disabled:hover:before {
    background-color: #9a9a9a
}

#cb-header {
    display: flex;
    -webkit-box-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    align-items: center;
    font-style: normal;
    border-top: none;
    border-right: none;
    border-left: none;
    border-image: initial;
    border-bottom: 1px solid rgba(0, 0, 0, 0.12);
    padding: 15px;
}

#cb-header #cb-title {
    display: flex;
    gap: 8px;
    -webkit-box-align: center;
    align-items: center;
}

#cb-header #cb-text {
    font-size: 18px;
    font-weight: 600;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: -.2px;
    color: black;
}
#cb-header .cb-topicn {display:flex; align-items:center; justify-content:flex-end; margin-left:auto; }
#cb-header .cb-topicn > div {width: 20px; margin: 0 15px 0 0;}
#cb-header .cb-topicn > div:last-child {margin: 0;}
#cb-header .cb-topicn button {width:20px; background-color: transparent !important; cursor: pointer !important;}
#cb-header .cb-topicn img {width:100%;  filter: grayscale(1);}
#cb-header button img:hover,
#cb-header button img:active,
#cb-header button img:focus {filter: none;}

.cb-top {display:flex; align-items:center; justify-content:flex-end; height:50px; padding: 10px 15px 0; background-image: url('/images/common/ai_title_bg.jpg'); background-position: center; background-size: cover; background-repeat: no-repeat;}
.cb-top button {width:14px; margin:0 8px; background-color: transparent !important;}
.cb-top button img {width:100%;}

.cb-dropdown {position:relative;}
.cb-dropmenu {position: absolute; top: 100%; right:0; z-index: 1000; float: left; width:230px; margin: 2px  0 0;  font-size:13px;  color: #333;  text-align: left;   list-style: none;  background-color: #fff; background-clip: padding-box; border: 1px solid rgba(0, 0, 0, .15); border-radius:3px; box-shadow: 0 0.25rem 0.5rem rgba(0,0,0,.1); overflow:hidden;}
.cb-dropmenu li {display:flex; padding:10px; border-bottom:1px solid #ededed; cursor: pointer;}
.cb-dropmenu li:hover,
.cb-dropmenu li.active {background:#f6f6f6;}
.cb-dropmenu li:last-child {border-bottom:none;}
.cb-dropmenu .cb-avatar {display: none; width:30px; height:30px; margin-right:10px; background:#9ad4a1; border-radius:50px; overflow:hidden;}
.cb-dropmenu .cb-avatar img {width:100%;}
.cb-dropmenu .cb-conts {width:calc(100% - 64px); margin-right:20px; word-break:break-all;}
.cb-dropmenu .cb-conts a.cb-tit,
.cb-dropmenu .cb-conts .cb-tit {display:block; color:#146229; font-weight:700;}
.cb-dropmenu .cb-conts a.cb-tit:hover,
.cb-dropmenu .cb-conts .cb-tit:hover {color:#146229;}
.cb-dropmenu .cb-badge {display:flex; align-items:center; margin-left:auto; width:10px; }
.cb-dropmenu .cb-success {display:block; width:10px; height:10px; border:3px solid #146229; border-radius:50px;}

@media screen and (max-width: 1440px) {
    #cb-chatbot-button {right: 24px;}
}
@media screen and (max-width: 1024px) {
    #cb-chatbot, #cb-chatbot-test {bottom: 20px;}
    #cb-chatbot-button {bottom: 224px;}
    .chatbot #cb-chatbot, .chatbot #cb-chatbot-test{right: 20px;}
}
@media screen and (max-width: 768px) {
    .chatbot #cb-header #cb-title img {width: 120px;}
    #cb-chatbot-button {right: 25px; bottom: 176px;}
    .chatbot #cb-chatbot, .chatbot #cb-chatbot-test {right: initial;width: calc(100% - 40px);left: 50%;transform: translateX(-50%);}
    .chatbot #cb-header{padding: 25px 20px 15px;}
    .chatbot #close-btn{right: -8px;width: 40px;height: 40px;}
    .chatbot #close-btn img{width: 15px;height: 15px;}
    .chatbot .cb-segment{padding: 6px 0;}
    .chatbot .cb-bubble .bubble-ctn-bot,
    .chatbot .cb-waiting{padding: 18px;}
    .chatbot .cb-bubble .bubble-ctn-human{padding: 11px 18px;}
    .chatbot .cb-bubble p{font-size: 15px;}
    .chatbot .cb-bubble.bot p{padding: 2px 0 2px 30px;background-size: 20px auto;}
    .chatbot #cb-input{height: 65px;}
    .chatbot #cb-input input{height: 65px;padding: 0 75px 0 15px;font-size: 16px;}
    .chatbot #cb-input button{right: 15px;width: 44px;height: 44px;background-size: 20px 20px, 100% 100%;}
}


@media screen and (max-width: 480px) {
    #cb-header #cb-title img {width: 168px;}
    #cb-chatbot, #cb-chatbot-test {left: 50%; right: initial; width: calc(100% - 24px); height: 80%; transform: translateX(-50%);}
    .chatbot #cb-chatbot, .chatbot #cb-chatbot-test {left: 50%;right: initial;width: calc(100% - 24px);}
}
